Package: java.time

## Class LocalDate

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `String` | `format(String pattern)` Formats this date with the provided DateTimeFormatter pattern.
    `String` | `format(FormatStyle dateStyle)` Formats this date in the provided, localized FormatStyle.
    `String` | `getDateString()` Formats this date with the DateTimeFormatter#ISO_LOCAL_DATE formatter.
    `LocalDateTime` | `leftShift(LocalTime time)` Returns a LocalDateTime from this date and the provided LocalTime.
    `OffsetDateTime` | `leftShift(OffsetTime time)` Returns a OffsetDateTime from this date and the provided OffsetTime.
    `long` | `minus(LocalDate other)` Calculates the number of days between two dates
    `LocalDate` | `minus(long days)` Returns a LocalDate that is `days` days before this date.
    `LocalDate` | `next()` Returns a LocalDate one day after this date.
    `static LocalDate` | `parse(CharSequence text, String pattern)` Parse text into a LocalDate using the provided pattern.
    `LocalDate` | `plus(long days)` Returns a LocalDate that is `days` days after this date.
    `LocalDate` | `previous()` Returns a LocalDate one day before this date.
    `Period` | `rightShift(LocalDate other)` Returns a Period equivalent to the time between this date (inclusive) and the provided LocalDate (exclusive).
    `Calendar` | `toCalendar()` Returns an equivalent instance of Calendar.
    `Date` | `toDate()` Returns an equivalent instance of Date.

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

  - #### Methods inherited from interface java.time.temporal.Temporal

    `downto`, `downto`, `rightShift`, `upto`, `upto`

  - #### Methods inherited from interface java.time.temporal.TemporalAccessor

    `getAt`, `getAt`

  - #### Methods inherited from interface java.lang.Comparable

    `numberAwareCompareTo`

- - ### Methods Detail

    - #### public String format(String pattern)

      Formats this date with the provided DateTimeFormatter pattern.

      Parameters:
        `pattern` - the formatting pattern
      Returns:
        a formatted String
      Since:
        2.5.0
      See Also:
        DateTimeFormatter

    - #### public String format(FormatStyle dateStyle)

      Formats this date in the provided, localized FormatStyle.

      Parameters:
        `dateStyle` - the FormatStyle
      Returns:
        a formatted String
      Since:
        2.5.0
      See Also:
        DateTimeFormatter

    - #### public String getDateString()

      Formats this date with the DateTimeFormatter#ISO_LOCAL_DATE formatter.

      Returns:
        a formatted String
      Since:
        2.5.0
      See Also:
        DateTimeFormatter

    - #### public LocalDateTime leftShift(LocalTime time)

      Returns a LocalDateTime from this date and the provided LocalTime.

      Parameters:
        `time` - a LocalTime
      Returns:
        a LocalDateTime
      Since:
        2.5.0

    - #### public OffsetDateTime leftShift(OffsetTime time)

      Returns a OffsetDateTime from this date and the provided OffsetTime.

      Parameters:
        `time` - an OffsetTime
      Returns:
        an OffsetDateTime
      Since:
        2.5.0

    - #### public long minus(LocalDate other)

      Calculates the number of days between two dates

      Parameters:
        `other` - the other LocalDate
      Returns:
        the number of days
      Since:
        3.0.0

    - #### public LocalDate minus(long days)

      Returns a LocalDate that is `days` days before this date.

      Parameters:
        `days` - the number of days to subtract
      Returns:
        a LocalDate
      Since:
        2.5.0

    - #### public LocalDate next()

      Returns a LocalDate one day after this date.

      Returns:
        the next day
      Since:
        2.5.0

    - #### public static LocalDate parse(CharSequence text, String pattern)

      Parse text into a LocalDate using the provided pattern. Note: the order of parameters differs from versions of this method for the legacy Date class.

      Parameters:
        `text` - String to be parsed to create the date instance
        `pattern` - pattern used to parse the text
      Returns:
        a LocalDate representing the parsed text
      Since:
        2.5.0
      See Also:
        DateTimeFormatter
        LocalDate#parse(java.lang.CharSequence, java.time.format.DateTimeFormatter)

    - #### public LocalDate plus(long days)

      Returns a LocalDate that is `days` days after this date.

      Parameters:
        `days` - the number of days to add
      Returns:
        a LocalDate
      Since:
        2.5.0

    - #### public LocalDate previous()

      Returns a LocalDate one day before this date.

      Returns:
        the previous day
      Since:
        2.5.0

    - #### public Period rightShift(LocalDate other)

      Returns a Period equivalent to the time between this date (inclusive) and the provided LocalDate (exclusive).

      Parameters:
        `other` - another LocalDate
      Returns:
        a Period representing the time between the two LocalDates
      Since:
        2.5.0

    - #### public Calendar toCalendar()

      Returns an equivalent instance of Calendar. The time portion of the returned calendar is cleared and the time zone is the current system default.

      Returns:
        a java.util.Calendar
      Since:
        2.5.0

    - #### public Date toDate()

      Returns an equivalent instance of Date. The time portion of the returned date is cleared.

      Returns:
        a java.util.Date
      Since:
        2.5.0